#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
"""
media (Media Tools)
===================

**Author:**

* Dirk Alders <sudo-dirk@mount-mockery.de>

**Description:**

    This module helps on all issues with media files, like tags (e.g. exif, id3) and transformations.

**Submodules:**

* :func:`media.get_media_data`
* :class:`media.image`

**Unittest:**

    See also the :download:`unittest <../../media/_testresults_/unittest.pdf>` documentation.
"""
from .common import CALLBACK_CDDB_CHOICE
from .common import CALLBACK_MAN_INPUT
from .common import get_disc_device
from .common import KEY_ALBUM
from .common import KEY_APERTURE
from .common import KEY_ARTIST
from .common import KEY_BITRATE
from .common import KEY_CAMERA
from .common import KEY_DURATION
from .common import KEY_EXPOSURE_PROGRAM
from .common import KEY_EXPOSURE_TIME
from .common import KEY_FLASH
from .common import KEY_FOCAL_LENGTH
from .common import KEY_GENRE
from .common import KEY_GPS
from .common import KEY_HEIGHT
from .common import KEY_ISO
from .common import KEY_ORIENTATION
from .common import KEY_RATIO
from .common import KEY_SIZE
from .common import KEY_TIME
from .common import KEY_TIME_IS_SUBSTITUTION
from .common import KEY_TITLE
from .common import KEY_TRACK
from .common import KEY_WIDTH
from .common import KEY_YEAR
from .convert import disc_track_rip
from .convert import wav_to_mp3
from .convert import track_to_targetpath
from .image import image
from .image import ORIENTATION_HALF_ROTATED
from .image import ORIENTATION_HORIZONTAL_MIRRORED
from .image import ORIENTATION_LEFT_ROTATED
from .image import ORIENTATION_NORMAL
from .image import ORIENTATION_RIGHT_ROTATED
from .image import ORIENTATION_VERTICAL_MIRRORED
from .image import JOIN_BOT_LEFT, JOIN_BOT_RIGHT
from .image import JOIN_CENTER
from .image import JOIN_TOP_LEFT
from .image import JOIN_TOP_RIGHT
from .metadata import get_media_data
__DEPENDENCIES__ = []


__DESCRIPTION__ = """The Module {\\tt %s} is designed to help on all issues with media files, like tags (e.g. exif, id3) and transformations.
For more Information read the documentation.""" % __name__.replace('_', '\_')
"""The Module Description"""
__INTERPRETER__ = (3, )
"""The Tested Interpreter-Versions"""
